module Constituencies

  def get_constituencies(id, options={})
    options.merge!(basic_auth: @auth, headers: @headers)
    response = self.class.get(base_api_endpoint("CRM/Constituencies?constituentId=#{id}"), options)
    JSON.parse(response.body)
  end

  def create_constituencies(constituency, id, options={})
    parameters =
      {
          'ConstituencyType': {
              'Id': constituency
          },
          'Constituent': {
              'Id': id
          }
      }
    options.merge!(basic_auth: @auth, headers: @headers)
    options.merge!(:body => parameters)
    response = self.class.post(base_api_endpoint('CRM/Constituencies'), options)
  end
end