module Orders

  def get_products_view(id, options={})
    options.merge!(basic_auth: @auth, headers: @headers)
    response = self.class.get(base_api_endpoint("TXN/Orders/#{id}/ProductsView"), options)
    JSON.parse(response.body)
  end


  
  def print_order_ticket_elements(order_id, ticket_design, reprint, new_ticket_no=false, options={})
    parameters =
    {
      "IncludeReceipts": false,
      "ReprintTickets": reprint,
      "TicketDesignId": ticket_design,
      "NewTicketNoForReprints": new_ticket_no
    }
    options.merge!(basic_auth: @auth, headers: @headers)
    options.merge!(:body => parameters)
    self.class.post(base_api_endpoint("/TXN/Orders/#{order_id}/PrintTicketElements"), options)
  end
end
