module Attributes

  def add_attribute(constituent_id, attribute_id, value, options={})
    parameters =
      {
          'Keyword' => {
              'Id'=> attribute_id
          },
          'Constituent'=> {
              'Id'=> constituent_id
          },
          'Value'=> value,
          'UpdatedDateTime'=> DateTime.now.to_s
      }
    options.merge!(basic_auth: @auth, headers: @headers)
    options.merge!(:body => parameters)
    response = self.class.post(base_api_endpoint('CRM/Attributes'), options)
    JSON.parse(response.body)
  end
end
