module PriceTypes

  def get_price_type(id, options={})
    options.merge!(basic_auth: @auth, headers: @headers)
    response = self.class.get(base_api_endpoint("TXN/PriceTypes/#{id}"), options)
    JSON.parse(response.body)
  end

  def get_price_type_details(id, mode_of_sale, source, options={})
    options.merge!(basic_auth: @auth, headers: @headers)
    response = self.class.get(base_api_endpoint("TXN/PriceTypes/Details?performanceIds=#{id}&modeOfSaleId=#{mode_of_sale}&sourceId=#{source}"), options)
    JSON.parse(response.body)
  end

end
