module ProductionSeason

  def get_production_season(id, options={})
    options.merge!(basic_auth: @auth, headers: @headers)
    response = self.class.get(base_api_endpoint("TXN/ProductionSeasons/#{id}"), options)
    JSON.parse(response.body)
  end

  def productions_by_performance_date(start_date=nil, end_date=nil, options={})
    parameters =
      {
        'PerformanceStartDate': start_date,
        'PerformanceEndDate': end_date
      }
    options.merge!(basic_auth: @auth, headers: @headers)
    options.merge!(:body => parameters)
    response = self.class.post(base_api_endpoint('TXN/ProductionSeasons/Search'), options)
  end

end
